"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Amount = require("../amount");
var BaseUnits = require("../base-units");
describe("amount_compare_test", function () {
    test("default_comparer_true", function () {
        var a = Amount.create(100, BaseUnits.Kelvin);
        var b = Amount.create(100, BaseUnits.Kelvin);
        var c = Amount.equals(a, b);
        expect(c).toBeTruthy();
    });
    test("default_comparer_false", function () {
        var a = Amount.create(100, BaseUnits.Kelvin);
        var b = Amount.create(1234, BaseUnits.Kelvin);
        var c = Amount.equals(a, b);
        expect(c).toBeFalsy();
    });
    test("custom_comparer_equals", function () {
        var a = Amount.create(100, BaseUnits.Kelvin);
        var b = Amount.create(1234, BaseUnits.Kelvin);
        var comparer = function () { return 0; };
        var c = Amount.equals(a, b, comparer);
        expect(c).toBeTruthy();
    });
    test("custom_comparer_less_than", function () {
        var a = Amount.create(100, BaseUnits.Kelvin);
        var b = Amount.create(100, BaseUnits.Kelvin);
        var comparer = function () { return -1; };
        var c = Amount.lessThan(a, b, comparer);
        expect(c).toBeTruthy();
    });
    test("custom_comparer_greater_than", function () {
        var a = Amount.create(100, BaseUnits.Kelvin);
        var b = Amount.create(100, BaseUnits.Kelvin);
        var comparer = function () { return 1; };
        var c = Amount.greaterThan(a, b, comparer);
        expect(c).toBeTruthy();
    });
});
//# sourceMappingURL=amount-compare.test.js.map