import * as Unit from "./unit";
/**
 * @module UnitFormat
 */
export interface UnitFormat {
    readonly label: string;
    readonly decimalCount: number;
}
export declare type UnitFormatMap = {
    readonly [key: string]: UnitFormat;
};
/**
 * Get formatting info from unit
 * @param unit
 */
export declare function getUnitFormat(unit: Unit.Unit<unknown>, unitsFormat: UnitFormatMap): UnitFormat | undefined;
/**
 * Creates a unit format
 * @param label
 * @param decimalCount
 */
export declare function createUnitFormat(label: string, decimalCount: number): UnitFormat;
